Description

Hi Audacious developers,
thank you very much for this great tool. For a long time already it has been my favorite music player. | use it as folder and library
player, the later using the search tool.

My main use is with the Search Tool, putting in a playlist of an album or artist. Browsing through to find an artist | rarely play,
however, is (for me) impossible with many 1-or-2-songs-artists, which fill up the results, and which | want to ignore usually.

The feature request is to allow to filter for the number of songs. It clears up the results list and allows one to focus on the artists
which are really of interest for one, if desired. This feature could be implemented by a special button, or a search term like 'n>5' or so.
I implemented (crudely) the former as proof of concept, see the attached patch. See also the two attached images for the difference it
makes.

History

#1 - January 27, 2014 15:46 - John Lindgren

It's an interesting idea; however | can imagine it as confusing to users who DO want to find that artist/album with only one song and wonder why it
doesn't show up. | consciously tried not too make the search tool too "smart", working from the principle (based on my own experience) that simple
tools are more intuitive and therefore easier to learn to use quickly.

| notice in the screenshots that you typed only the first two letters of whatever it is you were looking for. If you were to type a few more (say, five), do
you still see so many "uninteresting" results?

#2 - January 28, 2014 02:23 - Florian Breitwieser
Hi John,

| understand that you want to keep it simple, and the uncluttered interface/workings of audacious is one of the reasons | like it.

And | like the Search Tool for searching, but not for browsing or exploring my music.
| always found the library media players, which auto-organize the music into an artist/album structure, dreadful. The Search Tool results, with no or
short search term, reminds me of that (ie many one-song artists cluttering those which | am interested in).

Having all search results in alphabetical order makes sense. At the same time, it is more likely that a person is looking for an artist for which he has 2
albums than those with one song, so maybe it would be good to prioritize them. Ordering by the number of songs or something like that might be a
good solution - but then it's not alphabetical ;).

I'm fine with keeping the changes in my branch, or publish it as plugin if others find it useful. I, for one, already grew a bit fond of my toggle button ;).

Using very unspecific search terms allows me to explore (the part of) my collection (I am interested in). As you suggest, using longer terms gives
specific results, but not always | know exactly, or in fact want to know, what | want to listen to, before | start searching. Also it is more key presses.
#3 - May 31, 2014 08:53 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.6

- % Done changed from 0 to 100

| implemented a couple of changes that aren't exactly what you suggested, but they are a step in the same direction.

1. When you have just one song from a particular artist, you won't get three separate results for the artist, the album, and the song any more, but just
one result for the song (which shows you the album and artist anyway).

2. When there are too many results to show (and the limit is now 20 rather than 100), they will be filtered to give priority to the results which have the
most songs each. | added an indicator label that will display (for example) "168 results (148 hidden)" to make it clear that the filtering is being done.
The filtering will get less aggressive as you type to narrow down the search.

I'm going to go ahead and close this feature request. Obviously the Search Tool still isn't the ideal tool for browsing through a collection of music, but
it was never really meant for that anyway.

Files

searchtool-filter-nsongs.patch 2.54 KB January 27,2014 Florian Breitwieser
audacious-searchtool1.png 35.5KB January 27, 2014 Florian Breitwieser
audacious-searchtool2.png 443 KB January 27, 2014 Florian Breitwieser
